Loading...
Searching...
No Matches
irr::gui::IGUITab Class Referenceabstract

A tab-page, onto which other gui elements could be added. More...

`#include <IGUITabControl.h>`

Inheritance diagram for irr::gui::IGUITab:

## Public Member Functions

| IGUITab (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual video::SColor | getBackgroundColor () const =0
| returns the color of the background
virtual s32 | getNumber () const =0
| Returns zero based index of tab if in tabcontrol.
virtual video::SColor | getTextColor () const =0
| gets the color of the text
virtual bool | isDrawingBackground () const =0
| returns true if the tab is drawing its background, false if not
virtual void | setBackgroundColor (video::SColor c)=0
| sets the color of the background, if it should be drawn.
virtual void | setDrawBackground (bool draw=true)=0
| sets if the tab should draw its background
virtual void | setTextColor (video::SColor c)=0
| sets the color of the text
Public Member Functions inherited from irr::gui::IGUIElement
| IGUIElement (EGUI_ELEMENT_TYPE type, IGUIEnvironment *environment, IGUIElement *parent, s32 id, const core::rect< s32 > &rectangle)
| Constructor.
virtual | ~IGUIElement ()
| Destructor.
virtual void | addChild (IGUIElement *child)
| Adds a GUI element as new child of this element.
virtual bool | bringToFront (IGUIElement *element)
| Brings a child to front.
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the scene node.
virtual void | draw ()
| Draws the element and its children.
core::rect< s32 > | getAbsoluteClippingRect () const
| Returns the visible area of the element.
core::rect< s32 > | getAbsolutePosition () const
| Gets the absolute rectangle of this element.
virtual const core::list< IGUIElement * > & | getChildren () const
| Returns list with children of this element.
virtual IGUIElement * | getElementFromId (s32 id, bool searchchildren=false) const
| Finds the first element with the given id.
IGUIElement * | getElementFromPoint (const core::position2d< s32 > &point)
| Returns the topmost GUI element at the specific position.
virtual s32 | getID () const
| Returns id. Can be used to identify the element.
virtual const c8 * | getName () const
| Returns the name of the element.
bool | getNextElement (s32 startOrder, bool reverse, bool group, IGUIElement *&first, IGUIElement *&closest, bool includeInvisible=false) const
| searches elements to find the closest next element to tab to
IGUIElement * | getParent () const
| Returns parent of this element.
core::rect< s32 > | getRelativePosition () const
| Returns the relative rectangle of this element.
IGUIElement * | getTabGroup ()
| Returns the container element which holds all elements in this element's tab group.
s32 | getTabOrder () const
| Returns the number in the tab order sequence.
virtual const wchar_t * | getText () const
| Returns caption of this element.
virtual const core::stringw & | getToolTipText () const
| Returns caption of this element.
EGUI_ELEMENT_TYPE | getType () const
| Returns the type of the gui element.
virtual const c8 * | getTypeName () const
| Returns the type name of the gui element.
virtual bool | hasType (EGUI_ELEMENT_TYPE type) const
| Returns true if the gui element supports the given type.
virtual bool | isEnabled () const
| Returns true if element is enabled.
bool | isMyChild (IGUIElement *child) const
bool | isNotClipped () const
| Gets whether the element will ignore its parent's clipping rectangle.
virtual bool | isPointInside (const core::position2d< s32 > &point) const
| Returns true if a point is within this element.
virtual bool | isSubElement () const
| Returns true if this element was created as part of its parent control.
bool | isTabGroup () const
| Returns true if this element is a tab group.
bool | isTabStop () const
| Returns true if this element can be focused by navigating with the tab key.
virtual bool | isVisible () const
| Returns true if element is visible.
virtual void | move (core::position2d< s32 > absoluteMovement)
| Moves this element.
virtual bool | OnEvent (const SEvent &event)
| Called if an event happened.
virtual void | OnPostRender (u32 timeMs)
| animate the element and its children.
virtual void | remove ()
| Removes this element from its parent.
virtual void | removeChild (IGUIElement *child)
| Removes a child.
virtual bool | sendToBack (IGUIElement *child)
| Moves a child to the back, so it's siblings are drawn on top of it.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the scene node.
void | setAlignment (EGUI_ALIGNMENT left, EGUI_ALIGNMENT right, EGUI_ALIGNMENT top, EGUI_ALIGNMENT bottom)
| The alignment defines how the borders of this element will be positioned when the parent element is resized.
virtual void | setEnabled (bool enabled)
| Sets the enabled state of this element.
virtual void | setID (s32 id)
| Sets the id of this element.
void | setMaxSize (core::dimension2du size)
| Sets the maximum size allowed for this element.
void | setMinSize (core::dimension2du size)
| Sets the minimum size allowed for this element.
virtual void | setName (const c8 *name)
| Sets the name of the element.
virtual void | setName (const core::stringc &name)
| Sets the name of the element.
void | setNotClipped (bool noClip)
| Sets whether the element will ignore its parent's clipping rectangle.
void | setRelativePosition (const core::position2di &position)
| Sets the relative rectangle of this element, maintaining its current width and height.
void | setRelativePosition (const core::rect< s32 > &r)
| Sets the relative rectangle of this element.
void | setRelativePositionProportional (const core::rect< f32 > &r)
| Sets the relative rectangle of this element as a proportion of its parent's area.
virtual void | setSubElement (bool subElement)
| Sets whether this control was created as part of its parent.
void | setTabGroup (bool isGroup)
| Sets whether this element is a container for a group of elements which can be navigated using the tab key.
void | setTabOrder (s32 index)
| Sets the priority of focus when using the tab key to navigate between a group of elements.
void | setTabStop (bool enable)
| If set to true, the focus will visit this element when using the tab key to cycle through elements.
virtual void | setText (const wchar_t *text)
| Sets the new caption of this element.
virtual void | setToolTipText (const wchar_t *text)
| Sets the new caption of this element.
virtual void | setVisible (bool visible)
| Sets the visible state of this element.
virtual void | updateAbsolutePosition ()
| Updates the absolute position.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.
Public Member Functions inherited from irr::IEventReceiver
virtual | ~IEventReceiver ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from irr::gui::IGUIElement
void | addChildToEnd (IGUIElement *child)
void | recalculateAbsolutePosition (bool recursive)
Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.
Protected Attributes inherited from irr::gui::IGUIElement
core::rect< s32 > | AbsoluteClippingRect
| absolute clipping rect of element
core::rect< s32 > | AbsoluteRect
| absolute rect of element
EGUI_ALIGNMENT | AlignBottom
EGUI_ALIGNMENT | AlignLeft
| tells the element how to act when its parent is resized
EGUI_ALIGNMENT | AlignRight
EGUI_ALIGNMENT | AlignTop
core::list< IGUIElement * > | Children
| List of all children of this element.
core::rect< s32 > | DesiredRect
IGUIEnvironment * | Environment
| GUI Environment.
s32 | ID
| users can set this for identificating the element by integer
bool | IsEnabled
| is enabled?
bool | IsSubElement
| is a part of a larger whole and should not be serialized?
bool | IsTabGroup
| tab groups are containers like windows, use ctrl+tab to navigate
bool | IsTabStop
| tab stop like in windows
bool | IsVisible
| is visible?
core::rect< s32 > | LastParentRect
| for calculating the difference when resizing parent
core::dimension2du | MaxSize
| maximum and minimum size of the element
core::dimension2du | MinSize
core::stringc | Name
| users can set this for identificating the element by string
bool | NoClip
| does this element ignore its parent's clipping rectangle?
IGUIElement * | Parent
| Pointer to the parent.
core::rect< s32 > | RelativeRect
| relative rect of element
core::rect< f32 > | ScaleRect
| relative scale of the element inside its parent
s32 | TabOrder
| tab order
core::stringw | Text
| caption
core::stringw | ToolTipText
| tooltip
EGUI_ELEMENT_TYPE | Type
| type of element

## Detailed Description

A tab-page, onto which other gui elements could be added.

IGUITab refers to the page itself, not to the tab in the tabbar of an IGUITabControl.

Definition at line 18 of file IGUITabControl.h.

## Constructor & Destructor Documentation

## IGUITab()

irr::gui::IGUITab::IGUITab | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle )

inline

constructor

Definition at line 23 of file IGUITabControl.h.

References irr::gui::IGUIElement::IGUIElement(), and irr::gui::EGUIET_TAB.

## Member Function Documentation

## getBackgroundColor()

virtual video::SColor irr::gui::IGUITab::getBackgroundColor | ( |  | ) | const

pure virtual

returns the color of the background

## getNumber()

virtual s32 irr::gui::IGUITab::getNumber | ( |  | ) | const

pure virtual

Returns zero based index of tab if in tabcontrol.

Can be accessed later IGUITabControl::getTab() by this number. Note that this number can change when other tabs are inserted or removed .

## getTextColor()

virtual video::SColor irr::gui::IGUITab::getTextColor | ( |  | ) | const

pure virtual

gets the color of the text

## isDrawingBackground()

virtual bool irr::gui::IGUITab::isDrawingBackground | ( |  | ) | const

pure virtual

returns true if the tab is drawing its background, false if not

## setBackgroundColor()

virtual void irr::gui::IGUITab::setBackgroundColor | ( | video::SColor | c | ) |

pure virtual

sets the color of the background, if it should be drawn.

## setDrawBackground()

virtual void irr::gui::IGUITab::setDrawBackground | ( | bool | draw = true | ) |

pure virtual

sets if the tab should draw its background

References irr::gui::IGUIElement::draw().

## setTextColor()

virtual void irr::gui::IGUITab::setTextColor | ( | video::SColor | c | ) |

pure virtual

sets the color of the text

The documentation for this class was generated from the following file:

- IGUITabControl.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0